%define sover 15

Summary: Printing libraries for GNOME.
Name:		gnome-print
Version: 	0.29
Release:	6
Epoch:		1
License:	LGPL
Group: System Environment/Base
Source: 	ftp://ftp.gnome.org/pub/GNOME/sources/stable/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

PreReq:	gnome-libs
PreReq:	urw-fonts
PreReq:	ghostscript
PreReq:	ghostscript-fonts
PreReq:	libxml
PreReq: perl
PreReq: libgnomeprint%{sover} = %{PACKAGE_VERSION}

BuildPrereq: gdk-pixbuf-devel >= 0.7.0
BuildPrereq: libxml-devel >= 1.8.8 

# Red Hat patches
Patch1: gnome-print-0.25-localeh.patch
# Look for fontmap in /etc/gnome/fonts/fontmap2
Patch2: gnome-print-0.29-fontmap.patch
# Look for profiles in /etc/gnome-print/<ver>/
Patch3: gnome-print-0.29-profile.patch

# Bug fix patches
# Make gnome-font-install handle mangled options more cleanly
Patch5: gnome-print-0.29-options.patch

%description 
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System. The gnome-print package contains
libraries and fonts needed by GNOME applications for printing.

You should install the gnome-print package if you intend to use any of
the GNOME applications that can print. If you would like to develop
GNOME applications that can print you will also need to install the
gnome-print devel package.

%package -n libgnomeprint%{sover}
Summary: Printing libraries for GNOME.
Group: System Environment/Base

Requires: gnome-print >= %{PACKAGE_VERSION}

%description -n libgnomeprint%{sover}
This package contains the printing apparatus for GNOME, the complete
graphical desktop environment based entirely on free software.

%package devel
Summary: Libraries and include files for developing GNOME applications.
Group: Development/Libraries

Requires: %{name} = %{PACKAGE_VERSION}
Requires: libgnomeprint%{sover} = %{PACKAGE_VERSION}
Requires: gdk-pixbuf-devel >= 0.7.0

%description devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System. The gnome-print-devel package
includes the libraries and include files needed for developing
applications that use the GNOME printing capabilities.

You should install the gnome-print-devel package if you would like to
develop GNOME applications that will use the GNOME print capabilities.
You do not need to install the gnome-print-devel package if you just
want to use the GNOME desktop environment.

%prep
%setup -q -n %{name}-%{version}

%patch1 -p1 -b .localeh
%patch2 -p1 -b .fontmap
#%patch3 -p1 -b .profile
%patch5 -p1 -b .options

%build
libtoolize --copy --force
autoheader
automake
autoconf
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
./mkinstalldirs $RPM_BUILD_ROOT%{_datadir}/gnome-print/fonts
./mkinstalldirs $RPM_BUILD_ROOT%{_sysconfdir}/gnome/fonts
install -c fonts/*.font $RPM_BUILD_ROOT%{_datadir}/gnome-print/fonts
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post 
gnome-font-install                                               \
       --assignment=ghostscript,/usr/share/fonts/default/Type1   \
       --afm-path=%{_datadir}/fonts/afms                         \
       --fontmap-path=%{_datadir}/gnome-print/fonts/             \
       --target=%{_sysconfdir}/gnome/fonts/fontmap2

%post -n libgnomeprint%{sover} -p /sbin/ldconfig
%postun -n libgnomeprint%{sover} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/fonts/afms/adobe/*
%config %{_sysconfdir}/gnome/fonts
%dir %{_datadir}/gnome-print
%{_datadir}/gnome-print/fonts

%files -n libgnomeprint%{sover}
%defattr(-, root, root)

%dir %{_datadir}/gnome-print
%dir %{_datadir}/gnome-print/%{version}
%{_datadir}/gnome-print/%{version}/profiles
%{_libdir}/lib*.so.%{sover}
%{_libdir}/lib*.so.%{sover}.*

%files devel
%defattr(-, root, root)

%{_libdir}/lib*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.sh
%{_includedir}/*/*

%changelog
* Wed Aug 15 2001 Owen Taylor <otaylor@redhat.com>
- Back out freetype change, for now, until we can get it in upstream.
- Move gnome-print/<ver>/profiles back to datadir, and remove the %config.
  Making them %config doesn't seem compatible with locating them
  in gnome-print/<ver>.

* Mon Aug 13 2001 Akira TAGOH <tagoh@redhat.com> 0.29-5
- no replace profiles.

* Mon Aug 13 2001 Akira TAGOH <tagoh@redhat.com> 0.29-4
- Move profiles directory to /etc/gnome-print/<ver>/profiles/

* Mon Aug 13 2001 Akira TAGOH <tagoh@redhat.com> 0.29-3
- Add freetype support patch. (Bug#50360)

* Sat Jul 21 2001 Owen Taylor <otaylor@redhat.com>
- Add missing directory

* Fri Jul 20 2001 Owen Taylor <otaylor@redhat.com>
- Upgrade to 0.29
- Don't install run-gnome-font-install (#48466), run gnome-font-install directly.
- Add BuildPrereq and make -devel package require gdk-pixbuf-devel
- Make libgnomeprint package require gnome-print package; otherwise
  packages requiring libgnomeprint might not get a runtime environment
- Add Prereq on ghostscript, since run-gnome-font-install parses output of 'gs -h'

* Mon Jul 16 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Kill output from run-gnome-font-install
- s/Copyright/License/
- Add post/postun scripts for the libgnomeprint subpackage

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Fri Apr 20 2001 Jonathan Blandford <jrb@redhat.com>
- new version (0.28)

* Thu Mar 01 2001 Owen Taylor <otaylor@redhat.com>
- Rebuild for GTK+-1.2.9 include paths

* Fri Feb 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify
- patch it to compile (didn't include locale.h when needed)
- use %%{_tmppath}

* Fri Feb 23 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed font problem for Japanese.
- Fixed library dependency on VFlib (Bug#28331)

* Wed Feb 21 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed bugzilla bug #27417, simple specfile %post fix.

* Sun Feb 18 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed PostScript broken.
- Added autoheader,automake,autoconf stuff.

* Thu Feb 08 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add libtoolize to make porting to new archs easy

* Tue Feb 06 2001 Akira TAGOH <tagoh@redhat.com>
- Updated Japanese patch for Gnumeric.
  Created dummy .afm.

* Mon Feb 05 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed gdk_fontset_load().
- Added Japanese patch for Gnumeric.

* Fri Feb 02 2001 Akira TAGOH <tagoh@redhat.com>
- Added Japanese patch.
  Fixed Print and Preview with Japanese.

* Fri Dec 29 2000 Matt Wilson <msw@redhat.com>
- 0.25

* Sat Aug 19 2000 Preston Brown <pbrown@redhat.com>
- added "|| true" to %%post so that if font-install screws up we don't get a
  bad exit status.  gnome-font-install expects that the directory specified by
  HOME env. var is writable, but it isn't always if you install with 'sudo'
  or the equivalent.  bad. bad. bad.

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Fri Jul 14 2000 Matt Wilson <msw@redhat.com>
- redirect %%post script output to /dev/null

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 29 2000 Owen Taylor <otaylor@redhat.com>
- Spec file fixes
